| Home | Libraries | People | FAQ | More

##### basic_static_string::operator= (3 of 6 overloads)

Assign to the string.

###### Synopsis

    constexpr basic_static_string&
    operator=(
        const_pointer s);

###### Description

Replaces the contents with those of `{s, s + traits_type::length(s))`.

###### Complexity

Linear in `count`.

###### Exception Safety

Strong guarantee.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`s` | A pointer to the string to copy from.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `traits_type::length(s) > max_size()`.